Bug 1297234 - Review Request: python-astropy-helpers - Utilities for building and installing Astropy and Astropy affiliated packages
Review Request: python-astropy-helpers - Utilities for building and installin...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Raphael Groner
Fedora Extras Quality Assurance
:
Depends On:
Blocks: Astronomy-SIG
  Show dependency treegraph
 
Reported: 2016-01-10 18:18 EST by Christian Dersch
Modified: 2016-02-16 23:18 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-16 22:51:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
projects.rg: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Christian Dersch 2016-01-10 18:18:12 EST
Spec URL: https://lupinix.fedorapeople.org/review/python-astropy-helpers.spec
SRPM URL: https://lupinix.fedorapeople.org/review/python-astropy-helpers-1.1.1-1.fc23.src.rpm

Description: Utilities for building and installing Astropy and Astropy affiliated packages. 

Fedora Account System Username: lupinix

Koji build (rawhide): http://koji.fedoraproject.org/koji/taskinfo?taskID=12493438
Comment 1 Yanis Guenane 2016-01-11 06:36:15 EST
My review is yet unofficial as I am not part of the packager group.

Package Review
==============
Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

===== Issues =====

> [ ]: Large documentation must go in a -doc subpackage. Large could be size
>     (~1MB) or number of files.

Maybe the docs/ folder at https://github.com/astropy/astropy/tree/master/docs could have its own subpackage -doc

> [ ]: %check is present and all tests pas

The upstream project provide tests. Anything that prevent running them here ?


Also, upstream provides README, CHANGES and CONTRIBUTING files that would fit in a %doc.

===== MUST items =====
Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (3 clause)", "Unknown or generated". 73 files have unknown
     license. Detailed output of licensecheck in /home/packager/review-
     python-astropy-helpers/licensecheck.txt
[ ]: License file installed when any subpackage combination is installed.
[ ]: Package contains no bundled libraries without FPC exception.
[ ]: Changelog in prescribed format.
[ ]: Sources contain only permissible code or content.
[ ]: Package contains desktop file if it is a GUI application.
[ ]: Development files must be in a -devel package
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package consistently uses macros (instead of hard-coded directory
     names).
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Requires correct, justified where necessary.
[ ]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[ ]: Package is not known to require an ExcludeArch tag.
[ ]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 4 files.
[ ]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
Python:
[ ]: Python eggs must not download any dependencies during the build
     process.
[ ]: A package which is used by another package via an egg interface should
     provide egg info.
[ ]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====
Generic:
[ ]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python2
     -astropy-helpers , python3-astropy-helpers
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.
===== EXTRA items =====
Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.
Rpmlint
-------
Checking: python2-astropy-helpers-1.1.1-1.fc23.noarch.rpm
          python3-astropy-helpers-1.1.1-1.fc23.noarch.rpm
          python-astropy-helpers-1.1.1-1.fc23.src.rpm
python2-astropy-helpers.noarch: W: devel-file-in-non-devel-package /usr/lib/python2.7/site-packages/astropy_helpers/commands/src/compiler.c
python3-astropy-helpers.noarch: W: devel-file-in-non-devel-package /usr/lib/python3.4/site-packages/astropy_helpers/commands/src/compiler.c
3 packages and 0 specfiles checked; 0 errors, 2 warnings.
Rpmlint (installed packages)
----------------------------
python2-astropy-helpers.noarch: W: devel-file-in-non-devel-package /usr/lib/python2.7/site-packages/astropy_helpers/commands/src/compiler.c
python3-astropy-helpers.noarch: W: devel-file-in-non-devel-package /usr/lib/python3.4/site-packages/astropy_helpers/commands/src/compiler.c
2 packages and 0 specfiles checked; 0 errors, 2 warnings.
Requires
--------
python2-astropy-helpers (rpmlib, GLIBC filtered):
    python(abi)
    python-setuptools
    python-sphinx
python3-astropy-helpers (rpmlib, GLIBC filtered):
    python(abi)
    python3-setuptools
    python3-sphinx
Provides
--------
python2-astropy-helpers:
    python-astropy-helpers
    python2-astropy-helpers
python3-astropy-helpers:
    python3-astropy-helpers


Source checksums
----------------
http://pypi.python.org/packages/source/a/astropy-helpers/astropy-helpers-1.1.1.tar.gz :
  CHECKSUM(SHA256) this package     : 2da74e8e6b08f3c378fc5f863460bc5c45f4f08e47ed2887cff0a26692aadd4b
  CHECKSUM(SHA256) upstream package : 2da74e8e6b08f3c378fc5f863460bc5c45f4f08e47ed2887cff0a26692aadd4b
Comment 2 Christian Dersch 2016-01-11 06:41:12 EST
Thank you for commenting this. The upstream git you mentioned is astropy itself (which we already have in Fedora). So: No docs (because there are no docs in upstream tarball). Same for the doc files README, CHANGES and CONTRIBUTING. They are not part of the tar of astropy-helpers.

I'll have a look at the tests.
Comment 3 Christian Dersch 2016-01-11 06:46:49 EST
Added tests, replaced spec and src.rpm in place.
Comment 4 Yanis Guenane 2016-01-11 07:05:09 EST
You're right it was the main astropy git repo. My bad.

Thanks for adding the %doc stanza.
Also you said you added tests but I still don't see any %check on the .spec, anything I am missing ? Else LGTM.
Comment 5 Christian Dersch 2016-01-11 07:07:28 EST
Maybe browser cache? I get it with tests.
Comment 6 Yanis Guenane 2016-01-11 07:13:14 EST
I do see it now. Sorry for the noise.

Looks good to me.
Comment 7 Raphael Groner 2016-02-03 12:59:03 EST
Taken.
Comment 8 Raphael Groner 2016-02-04 13:04:41 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 56 files have unknown license. Detailed
     output of licensecheck in /home/builder/fedora-review/1297234-python-
     astropy-helpers/licensecheck.txt
=> New BSD (no advertising, 3 clause) 

[x]: License file installed when any subpackage combination is installed.
[?]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/lib/python3.5/site-packages,
     /usr/lib/python3.5
=> Both folders are owned in python3-libs. Maybe a bug.

[?]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/python3.5/site-
     packages, /usr/lib/python3.5
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[!]: Development files must be in a -devel package
=> see below for rpmlint

[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Requires correct, justified where necessary.
=> Where do you run sphinx? Notice that python3-sphinx uses different and
   suffixed command: sphinx-build-3 vs. sphinx-build
=> Please remove setuptools from runtime. Is there any use case?

[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python2
     -astropy-helpers , python3-astropy-helpers
=> Empty main package, ignore.

[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-astropy-helpers-1.1.1-1.fc24.noarch.rpm
          python3-astropy-helpers-1.1.1-1.fc24.noarch.rpm
          python-astropy-helpers-1.1.1-1.fc24.src.rpm
python2-astropy-helpers.noarch: W: devel-file-in-non-devel-package /usr/lib/python2.7/site-packages/astropy_helpers/commands/src/compiler.c
python3-astropy-helpers.noarch: W: devel-file-in-non-devel-package /usr/lib/python3.5/site-packages/astropy_helpers/commands/src/compiler.c
3 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
python2-astropy-helpers.noarch: W: devel-file-in-non-devel-package /usr/lib/python2.7/site-packages/astropy_helpers/commands/src/compiler.c
python3-astropy-helpers.noarch: W: devel-file-in-non-devel-package /usr/lib/python3.5/site-packages/astropy_helpers/commands/src/compiler.c
2 packages and 0 specfiles checked; 0 errors, 2 warnings.



Requires
--------
python2-astropy-helpers (rpmlib, GLIBC filtered):
    numpy
    python(abi)
    python-setuptools
    python-sphinx

python3-astropy-helpers (rpmlib, GLIBC filtered):
    python(abi)
    python3-numpy
    python3-setuptools
    python3-sphinx



Provides
--------
python2-astropy-helpers:
    python-astropy-helpers
    python2-astropy-helpers

python3-astropy-helpers:
    python3-astropy-helpers



Source checksums
----------------
http://pypi.python.org/packages/source/a/astropy-helpers/astropy-helpers-1.1.1.tar.gz :
  CHECKSUM(SHA256) this package     : 2da74e8e6b08f3c378fc5f863460bc5c45f4f08e47ed2887cff0a26692aadd4b
  CHECKSUM(SHA256) upstream package : 2da74e8e6b08f3c378fc5f863460bc5c45f4f08e47ed2887cff0a26692aadd4b


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -v -m fedora-rawhide-x86_64 -b 1297234
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 9 Christian Dersch 2016-02-06 17:46:26 EST
Thank you for reviewing :) Requires are correct, astropy-helpers is a package enhancing sphinx, setuptools etc., so these are also runtime requires (and are checked at buildtime).

@Rpmlint messages: These are not devel files, looks like they are shipped by mistake. I'll ask upstream to fix this.
Comment 10 Raphael Groner 2016-02-06 18:05:57 EST
Requires are explained and justification is valid. Though, maybe add comments into spec file.

Rpmlint suggestions are recognized and fix is promised.

APPROVED
Comment 11 Christian Dersch 2016-02-06 18:11:05 EST
Thank you very much :)
Comment 12 Gwyn Ciesla 2016-02-06 21:56:46 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/python-astropy-helpers
Comment 13 Fedora Update System 2016-02-07 06:12:39 EST
python-astropy-helpers-1.1.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-777739aab2
Comment 14 Fedora Update System 2016-02-07 06:19:05 EST
python-astropy-helpers-1.1.1-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-4622161117
Comment 15 Fedora Update System 2016-02-07 23:19:56 EST
python-astropy-helpers-1.1.1-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-4622161117
Comment 16 Fedora Update System 2016-02-16 22:51:52 EST
python-astropy-helpers-1.1.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2016-02-16 23:18:54 EST
python-astropy-helpers-1.1.1-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.